Authorization
x-api-key x-api-key<token>
In: header
Path Parameters
spaceId*string
ID of the workspace.
Query Parameters
q*string
What to look for in the transcripts.
mode?string
"semantic" (default) finds results by meaning; "exact" matches the literal keywords.
Value in
"semantic" | "exact"folderIds?array<>
Restrict to these folder IDs. Repeat the param or comma-separate.
speakerIds?array<>
Restrict to chunks where these speakers talk. Repeat the param or comma-separate.
dateFrom?string
Only recordings created on/after this ISO 8601 date.
Format
date-timedateTo?string
Only recordings created on/before this ISO 8601 date.
Format
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://transcript.lol/api/v1/spaces/string/recordings/search?q=string"[
{
"documentId": "string",
"text": "string",
"start": 0,
"end": 0,
"speakers": [
"string"
],
"score": 0,
"transcriptId": "string",
"recording": {
"id": "string",
"createdAt": "string",
"updatedAt": "string",
"workspaceId": "string",
"title": "string",
"sourceUrl": "string",
"mediaType": "AUDIO",
"source": "string",
"duration": 0,
"status": "MEDIA_IMPORT_UPLOADING",
"recordingFolderId": "string",
"isMediaDeleted": true,
"createdById": "string",
"autoDeleteMediaAfter": "string"
}
}
]{
"error": "string",
"errorDetails": {}
}{
"error": "string",
"errorDetails": {}
}{
"error": "string",
"errorDetails": {}
}{
"error": "string",
"errorDetails": {}
}{
"error": "string",
"errorDetails": {}
}